EscalationActionBean (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.beans.EscalationActionBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.beans
Class EscalationActionBean

    java.lang.Object
      org.hyperic.hq.ui.beans.EscalationActionBean

    public class EscalationActionBean

extends java.lang.Object

Bean to capture user input in escalation configuration

Constructor Summary
`EscalationActionBean()`

Method Summary
`java.lang.String` | `getActionType()`
`java.lang.String` | `getConfiguration()`
`java.lang.String` | `getEmailType()`
`java.lang.String` | `getSnmpAddress()`
`java.lang.String` | `getSnmpOid()`
`java.lang.String` | `getSyslogMeta()`
`java.lang.String` | `getSyslogProduct()`
`java.lang.String` | `getSyslogVersion()`
`long` | `getWaitTime()`
`void` | `setActionType(java.lang.String actionType)`
`void` | `setConfiguration(java.lang.String configuration)`
`void` | `setEmailType(java.lang.String emailType)`
`void` | `setSnmpAddress(java.lang.String snmpAddress)`
`void` | `setSnmpOid(java.lang.String snmpOid)`
`void` | `setSyslogMeta(java.lang.String syslogMeta)`
`void` | `setSyslogProduct(java.lang.String syslogProduct)`
`void` | `setSyslogVersion(java.lang.String syslogVersion)`
`void` | `setWaitTime(long waitTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscalationActionBean

    public EscalationActionBean()

Method Detail

### getActionType

    public java.lang.String getActionType()

### setActionType

    public void setActionType(java.lang.String actionType)

### getConfiguration

    public java.lang.String getConfiguration()

### setConfiguration

    public void setConfiguration(java.lang.String configuration)

### getEmailType

    public java.lang.String getEmailType()

### setEmailType

    public void setEmailType(java.lang.String emailType)

### getSnmpAddress

    public java.lang.String getSnmpAddress()

### setSnmpAddress

    public void setSnmpAddress(java.lang.String snmpAddress)

### getSnmpOid

    public java.lang.String getSnmpOid()

### setSnmpOid

    public void setSnmpOid(java.lang.String snmpOid)

### getSyslogMeta

    public java.lang.String getSyslogMeta()

### setSyslogMeta

    public void setSyslogMeta(java.lang.String syslogMeta)

### getSyslogProduct

    public java.lang.String getSyslogProduct()

### setSyslogProduct

    public void setSyslogProduct(java.lang.String syslogProduct)

### getSyslogVersion

    public java.lang.String getSyslogVersion()

### setSyslogVersion

    public void setSyslogVersion(java.lang.String syslogVersion)

### getWaitTime

    public long getWaitTime()

### setWaitTime

    public void setWaitTime(long waitTime)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.